com.hazelcast.config

## Enum CacheDeserializedValues

- java.lang.Object
- - java.lang.Enum<CacheDeserializedValues>
  - - com.hazelcast.config.CacheDeserializedValues

- All Implemented Interfaces:
    Serializable, Comparable<CacheDeserializedValues>

      public enum CacheDeserializedValues
      extends Enum<CacheDeserializedValues>

  Control caching of de-serialized values. Caching makes query evaluation faster but it costs memory. To maintain reusability, cached values are used by read-only operations only and they are never passed to user-code where they could be accidentally mutated. Users will always get a fresh object, which they are free to mutate. It does not have any effect when `Portable` serialization or `InMemoryFormat.OBJECT` format is used.
  Since:
    3.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` Always cache de-serialized values
    `INDEX_ONLY` Cache values only when using search indexes
    `NEVER` Never cache de-serialized value

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheDeserializedValues` | `parseString(String string)` Create instance from String
    `static CacheDeserializedValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CacheDeserializedValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final CacheDeserializedValues NEVER

      Never cache de-serialized value

    - #### INDEX_ONLY

          public static final CacheDeserializedValues INDEX_ONLY

      Cache values only when using search indexes

    - #### ALWAYS

          public static final CacheDeserializedValues ALWAYS

      Always cache de-serialized values

  - ### Method Detail

    - #### values

          public static CacheDeserializedValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheDeserializedValues c : CacheDeserializedValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheDeserializedValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parseString

          public static CacheDeserializedValues parseString(String string)

      Create instance from String
      Parameters:
        `string` -
      Returns:
        instance of `CacheDeserializedValues`
      Throws:
        `IllegalArgumentException` - when unknown value is passed

Copyright © 2019. All rights reserved.